import os

from dotenv import load_dotenv
from sqlalchemy.future import Engine

from . import bot, cryptography, database

__all__ = ["bot", "cryptography", "database"]
engine: Engine


def main() -> None:
    load_dotenv("./.env")
    engine = database.prepare.get_engine(
        host=os.getenv("DB_HOST"),
        user=os.getenv("DB_USER"),
        passwd=os.getenv("DB_PASS"),
        db=os.getenv("DB_NAME"),
    )  # type: ignore
    database.prepare.prepare(engine)
    bot_ = bot.create_bot(os.getenv("TG_TOKEN"), engine)  # type: ignore
    bot_.infinity_polling()
